package com.jiuqi.util;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jiuqi.util.JqLib;
import java.sql.Time;
import java.sql.Timestamp;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class DataConvert {
  public static final int ftString = 12;
  
  public static final int ftInteger = 4;
  
  public static final int ftBoolean = -7;
  
  public static final int ftFloat = 2;
  
  public static final int ftDate = 91;
  
  public static final int ftDateTime = 93;
  
  public static final String[] BoolTrueCaptions = new String[] { "是", "真", "True", "T", "1" };
  
  public static final String[] BoolFalseCaptions = new String[] { "否", "假", "False", "F", "0" };
  
  public static final SimpleDateFormat default_date_format = new SimpleDateFormat("yyyy-MM-dd");
  
  public static final SimpleDateFormat default_time_format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
  
  public static int stringToInt(String data) {
    try {
      return (data == null || data.equals("")) ? 0 : Integer.parseInt(data);
    } catch (NumberFormatException numberFormatException) {
      return 0;
    } 
  }
  
  public static boolean stringToBool(String str) {
    if (str == null)
      return false; 
    for (int i = 0; i < BoolTrueCaptions.length; i++) {
      if (str.equalsIgnoreCase(BoolTrueCaptions[i]))
        return true; 
    } 
    return false;
  }
  
  public static Object stringToValue(String data, int zbtype) {
    if (data == null)
      return null; 
    try {
      switch (zbtype) {
        case 12:
          return data;
        case -7:
          return stringToBool(data) ? Boolean.TRUE : Boolean.FALSE;
        case 4:
          try {
            return data.equals("") ? null : Integer.valueOf(data);
          } catch (NumberFormatException numberFormatException) {
            return new Integer(Double.valueOf(data).intValue());
          } 
        case 2:
          return data.equals("") ? null : Double.valueOf(data);
        case 91:
          return default_date_format.parse(data);
        case 93:
          return new Timestamp(default_time_format.parse(data).getTime());
      } 
    } catch (NumberFormatException numberFormatException) {
    
    } catch (ParseException parseException) {}
    return null;
  }
  
  public static String valueToString(int value) {
    return String.valueOf(value);
  }
  
  public static String valueToString(Object value) {
    return valueToString(value, false);
  }
  
  public static String valueToString(Object value, boolean quoteString) {
    if (value == null)
      return null; 
    if (value instanceof Double)
      return value.toString(); 
    if (value instanceof Integer)
      return value.toString(); 
    if (value instanceof Boolean)
      return ((Boolean)value).booleanValue() ? "1" : "0"; 
    if (value instanceof String) {
      if (!quoteString)
        return (String)value; 
      return JqLib.quoteString((String)value);
    } 
    if (value instanceof Time)
      return default_time_format.format((Time)value); 
    if (value instanceof Timestamp)
      return default_time_format.format((Timestamp)value); 
    if (value instanceof Date)
      return default_date_format.format((Date)value); 
    if (value instanceof Calendar)
      return default_date_format.format(((Calendar)value).getTime()); 
    return value.toString();
  }
  
  public static String valuesToString(Object value, boolean quoteString) {
    if (value == null)
      return null; 
    if (value instanceof Object[]) {
      Object[] values = (Object[])value;
      String result = "";
      for (int i = 0; i < values.length; i++)
        result = String.valueOf(result) + valueToString(values[i], quoteString) + ';'; 
      return result;
    } 
    return valueToString(value, quoteString);
  }
}
